clear;
clc;

%% Solve Equilibrium Wage
% set up parameters
load par;

% initial guess for wage
w0 = par.wRepSS;

% solve equilibrium wage
w  = fzero(@(w) Nresfun(par,w), w0);

%% Solve Equilibrium Output and Investment
[matY, matK, matKp, matDist] = Nfun(par, w);
matI  = matKp - (1-par.delta).*matK;

Y     = sum(matDist(:).*matY(:));
I     = sum(matDist(:).*matI(:));
C     = Y-I;

%% Calibrate Parameter a
a     = w / C;